#include <iostream>
using namespace std;

int main(){
    int n,m;
    cin>>n>>m;
    int a[n],b[n],c[m],d[m];
    int x[m],pom=0,br=0;
    for(int i=0;i<n;i++) cin>>a[i]>>b[i];
    for(int i=0;i<m;i++) cin>>c[i]>>d[i];
    if(n>1) cout<<"<3"<<endl;
    else{
        for(int i=0;i<m;i++){
            x[i]=c[i];
            pom+=c[i];
            if(x[i]!=0) br++;
        }
        if(pom<b[0])
            for(int i=0;i<m;i++){
                if(c[i]=0 && d[i]!=0) br++;
                pom-=x[i];
                if(d[i]-c[i]<b[0]-pom) x[i]=d[i];
                else x[i]=c[i]+b[0]-pom;
                pom+=x[i];
                if(pom==b[i]) break;
            }
    }
    cout<<pom<<endl<<br<<endl;
    for(int i=0;i<m;i++)
        if(x[i]!=0) cout<<1<<" "<<i+1<<" "<<x[i]<<endl;
}